import axios, {Axios, AxiosRequestConfig} from 'axios'
import {ACCESS_TOKEN, UID} from '../Const'
import {Utils} from '../Utils/Utils'

export const createRequest = axios.create

const defaultRequest = axios.create()
defaultRequest.interceptors.request.use((config) => {
    return {
        ...config,
        headers: {
            uid: Utils.getQueryString(UID) || Utils.getCookie(UID),
            accessToken: Utils.getQueryString(ACCESS_TOKEN) || Utils.getCookie(ACCESS_TOKEN)
        },
    }
})
defaultRequest.interceptors.response.use((response) => {
    return response.data
}, err => Promise.reject(err))
export {defaultRequest}

export type DefaultResponse = {
    code: string
    data: any
    msg: string
}